JBoss API: Class ConnectorFactoryImpl.JBossConnectorTester

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jmx.client
Class ConnectorFactoryImpl.JBossConnectorTester

    java.lang.Object
      |
      +--org.jboss.jmx.client.ConnectorFactoryImpl.JBossConnectorTester

All Implemented Interfaces:
  ConnectorFactoryImpl.IConnectorTester

Enclosing class:
  ConnectorFactoryImpl

public static class ConnectorFactoryImpl.JBossConnectorTester
extends java.lang.Object
implements ConnectorFactoryImpl.IConnectorTester

Default implementation of the jBoss JMX Connector tester

Author:
  Andreas "Mad" Schaefer (andreas.schaefer@madplanet.com)

Constructor Summary
`ConnectorFactoryImpl.JBossConnectorTester()`

Method Summary
`ConnectorFactoryImpl.ConnectorName` | `check(java.lang.String pName, java.lang.Class pClass)` Checks a given JNDI entry if it is a valid JMX Connector

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectorFactoryImpl.JBossConnectorTester

    public ConnectorFactoryImpl.JBossConnectorTester()

Method Detail

### check

    public ConnectorFactoryImpl.ConnectorName check(java.lang.String pName,
                                                    java.lang.Class pClass)

  Description copied from interface: `ConnectorFactoryImpl.IConnectorTester`
  Checks a given JNDI entry if it is a valid JMX Connector
  Specified by:
    `check` in interface `ConnectorFactoryImpl.IConnectorTester`
  Following copied from interface: `org.jboss.jmx.client.ConnectorFactoryImpl.IConnectorTester`
  Parameters:
    `pName` - JNDI Name of the entry to test for
    `pClass` - Class of the entry
  Returns:
    Connector Name instance if valid otherwise null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.